package lc.esp.security.sdk;

public class ClassificationLevel {
    private final int index;
    private final String name;
    private final String abbreviation;

    public ClassificationLevel(int index, String name, String abbreviation) {
        this.index = index;
        this.name = name;
        this.abbreviation = abbreviation;
    }

    public String getName() {
        return name;
    }

    public String getAbbreviation() {
        return abbreviation;
    }

    public int getIndex() {
        return index;
    }

    @Override
    public String toString() {
        return "ClassificationLevel{" +
                "level=" + index +
                ", name='" + name + '\'' +
                ", abbreviation='" + abbreviation + '\'' +
                '}';
    }
}
